import pandas as pd

# đường dẫn file
file_path = "/mnt/data/swe_world/AR-Lopti/data/kk/instruct/7ppl/test.parquet"
# đọc file parquet
df = pd.read_parquet(file_path)
print(df['prompt'].head())
ss = df['prompt'][0][0]['content']
print(f'[ss] = {ss}')
prompt_list = [df['prompt'][i][0]['content'] for i in range(len(df))]
# print(f'ss = {prompt_list[0]}')
# for i in range(len(df['prompt'])):
#     ss = df['prompt'][i]
#     if len(ss) != 1:
#         print(f'len = {len(ss)}')

print(f'len = {len(df)}')